clone:
  depth: 50
  recursive: true
  path: i2-bill-api
build:
  image: docker.i2edu.net/golang:1.13
  commands:
    - go env -w GOPROXY=https://goproxy.cn,direct
    - go mod tidy
    - CGO_ENABLED=0 go build -a -ldflags '-s'
    - tar zcf i2-bill-api.tar.gz etc sqlconfig asserts i2-bill-api
publish:
  docker:
    registry: docker.qianqiusoft.com
    email: develop@qianqiusoft.com
    repo: docker.qianqiusoft.com/i2-bill-api
    tag:
      - latest